FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

template<typename T>
void | operator() (const T &vec) const
| Functor.
| SampleMultiple (const size_t n, const float *p, float *result, size_t *numHits)
| Ctor.

## Public Attributes

const int | m_n
size_t * | m_numHits
const float * | m_p
float * | m_result

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple

Definition at line 1119 of file FieldGroup.h.

## Constructor & Destructor Documentation

## SampleMultiple()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple::SampleMultiple | ( | const size_t | n,
|  | const float * | p,
|  | float * | result,
|  | size_t * | numHits )

inline

Ctor.

Definition at line 1122 of file FieldGroup.h.

: m_n(n), m_p(p), m_result(result), m_numHits(numHits)
{ }
FieldGroup::SampleMultiple::m_result
float * m_result
Definition FieldGroup.h:1135
FieldGroup::SampleMultiple::m_n
const int m_n
Definition FieldGroup.h:1133
FieldGroup::SampleMultiple::m_numHits
size_t * m_numHits
Definition FieldGroup.h:1136
FieldGroup::SampleMultiple::m_p
const float * m_p
Definition FieldGroup.h:1134
FieldGroup
Definition FieldGroup.h:304

References m_n, m_numHits, m_p, and m_result.

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename T>

void FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple::operator() | ( | const T & | vec | ) | const

inline

Functor.

Definition at line 1128 of file FieldGroup.h.

{
FieldSampler<T, Dims_T>::sampleMultiple(vec, m_n, m_p, m_result, m_numHits);
}
FieldSampler::sampleMultiple
static void sampleMultiple(const WrapperVec_T &f, const size_t neval, const float *wsPs, float *value, size_t *numHits)
Definition FieldSampler.h:125

References m_n, m_numHits, m_p, m_result, and FieldSampler< WrapperVec_T, Dims_T >::sampleMultiple().

## Member Data Documentation

## m_n

template<typename BaseTypeList_T, int Dims_T>

const int FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple::m_n

Definition at line 1133 of file FieldGroup.h.

Referenced by operator()(), and SampleMultiple().

## m_p

template<typename BaseTypeList_T, int Dims_T>

const float* FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple::m_p

Definition at line 1134 of file FieldGroup.h.

Referenced by operator()(), and SampleMultiple().

## m_result

template<typename BaseTypeList_T, int Dims_T>

float* FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple::m_result

Definition at line 1135 of file FieldGroup.h.

Referenced by operator()(), and SampleMultiple().

## m_numHits

template<typename BaseTypeList_T, int Dims_T>

size_t* FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple::m_numHits

Definition at line 1136 of file FieldGroup.h.

Referenced by operator()(), and SampleMultiple().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h